

%define ksane_major 5
%define libksane %mklibname kf5sane %ksane_major
%define libksane_devel %mklibname kf5sane -d

Name: libksane
Summary:  A library for dealing with scanners 
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: kconfig-devel
BuildRequires: ki18n-devel
BuildRequires: kwallet-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: ktextwidgets-devel
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: qtbase5-common-devel
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: libsane-devel

%description
LibKSane is a KDE interface for SANE library to control flat scanner.

%files
%_iconsdir/hicolor/16x16/actions/*
%_kf5_libdir/libKF5Sane.so.%{ksane_major}*
%_kf5_datadir/locale
#------------------------------------------------------------------------------


%package -n %libksane_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %{name} = %version-%release
Provides: %name-devel = %version-%release

%description -n %libksane_devel
LibKSane is a KDE interface for SANE library to control flat scanner.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libksane_devel
%_kf5_includedir/KSane
%_kf5_includedir/ksane_version.h
%_kf5_libdir/cmake/KF5Sane
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update


